Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 471544 - net-im/pyaim-t-0.8.0.1: Deprecated imports of PIL modules / Stabilize =net-im/pyaim-t-0.8.0.1-r1
Summary: net-im/pyaim-t-0.8.0.1: Deprecated imports of PIL modules / Stabilize =net-im...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 471488 CVE-2014-1933 526808
  Show dependency tree
 
Reported: 2013-05-28 04:30 UTC by Mike Gilbert
Modified: 2014-12-26 20:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2013-05-28 04:30:00 UTC
See tracker bug 471488 for details.

/usr/lib64/python2.7/site-packages/pyaim-t/src/imgmanip.py:             import Image
/usr/lib64/python2.7/site-packages/pyaim-t/src/contact.py:      import Image
/usr/lib64/python2.7/site-packages/pyaim-t/tools/infodump.py:   from Image import VERSION
Comment 1 Hanno Böck gentoo-dev 2013-09-18 16:15:03 UTC
Fixed with 0.8.0.1-r1, will leave this open till its stabilized.
Comment 2 Mike Gilbert gentoo-dev 2014-04-19 15:20:51 UTC
We will probably be removing dev-python/imaging because of security bug 507982.

Can you stabilize this please?
Comment 3 Manuel Rüger (RETIRED) gentoo-dev 2014-04-19 19:15:18 UTC
Please test and mark stable

=net-im/pyaim-t-0.8.0.1-r1
Comment 4 Mike Gilbert gentoo-dev 2014-06-10 01:59:41 UTC
Arches: Can we move this along? This blocks cleanup for security bug 507982.
Comment 5 Chema Alonso Josa (RETIRED) gentoo-dev 2014-06-16 12:03:14 UTC
emerge -1 =net-im/pyaim-t-0.8.0.1-r1 pulls unstable deps:

# required by net-im/pyaim-t-0.8.0.1-r1
# required by =net-im/pyaim-t-0.8.0.1-r1 (argument)
=dev-python/twisted-words-14.0.0 ~amd64
# required by dev-python/twisted-words-14.0.0
# required by net-im/pyaim-t-0.8.0.1-r1
# required by =net-im/pyaim-t-0.8.0.1-r1 (argument)
=dev-python/twisted-web-14.0.0 ~amd64
# required by net-zope/zope-interface-4.1.1
# required by dev-python/twisted-core-14.0.0
# required by net-im/pyaim-t-0.8.0.1-r1
# required by =net-im/pyaim-t-0.8.0.1-r1 (argument)
=net-zope/zope-fixers-1.1.2 ~amd64
# required by dev-python/twisted-core-14.0.0
# required by net-im/pyaim-t-0.8.0.1-r1
# required by =net-im/pyaim-t-0.8.0.1-r1 (argument)
=net-zope/zope-interface-4.1.1 ~amd64
# required by dev-python/twisted-web-14.0.0
# required by net-im/pyaim-t-0.8.0.1-r1
# required by =net-im/pyaim-t-0.8.0.1-r1 (argument)
=dev-python/twisted-core-14.0.0 ~amd64
Comment 6 Manuel Rüger (RETIRED) gentoo-dev 2014-11-02 12:04:08 UTC
@floppym can you provide a stable bug for twisted-*-14?
Comment 7 Mike Gilbert gentoo-dev 2014-11-02 16:20:22 UTC
(In reply to Manuel Rüger from comment #6)
> @floppym can you provide a stable bug for twisted-*-14?

Repoman does not complain about about it. I don't think twisted-14 is necessary here.

ago just stabilized the remaining blocker (dev-python/nevow), so you should be good to go on this.
Comment 8 Myckel Habets 2014-11-16 16:46:34 UTC
Builds fine on x86. No setup to test functionality. Please mark stable for x86.
Comment 9 Chema Alonso Josa (RETIRED) gentoo-dev 2014-11-23 16:28:37 UTC
amd64 stable. 

Missing || die in sed at lines 46 and 49
Comment 10 Manuel Rüger (RETIRED) gentoo-dev 2014-11-23 16:52:08 UTC
  23 Nov 2014; Manuel Rüger <mrueg@gentoo.org> -files/pyaim-t-0.8-initd,
  -pyaim-t-0.8.0.1.ebuild, pyaim-t-0.8.0.1-r1.ebuild:
  Mark stable on x86. Based on build testing by Myckel Habets. Add missing die.
  Cleanup old. Fixes bug #471544